Skip to main content
Image for post: Bootstrap 4 with Angular v2+

Bootstrap 4 with Angular v2+

Installing Bootstrap 4 on your NG-Cli project can be more difficult than you think. NPM is a really strange dependency manager and you have always to solve problems because of its instability. I have had several errors installing any Bootstrap package. A very simple operation took me hours to find the right solution!
NOTE about NPM: some experts said that you must include the package-lock.json file in your version control system because when you will install your app with npm install, NPM will not download always the same package version. If you are still using this file and you want to be sure you have always the same working version, you have to download the same versions of all packages. Otherwise, you can have a problem with old or new packages especially if multiple developers are working on the same app. So we must careful! 

Popular libraries

Bootstrap and Material Design

You can also install bootstrap manually by installing bootstrap from NPM, check the solution you prefer and the bootstrap version you want to use.
Happy coding!